package net.pokeranalytics.android.model.realm

import io.realm.RealmObject
import io.realm.annotations.PrimaryKey
import java.util.*


open class Transaction : RealmObject() {

    @PrimaryKey
    var id = UUID.randomUUID().toString()

    // The amount of the transaction
    var amount: Double = 0.0

    // The date of the transaction
    var date: Date = Date()

    // The type of the transaction
    var type: TransactionType? = null

    // A user comment
    var comment: String = ""

}

